Auteur Sujet: [Résolu] [1.0] Le jeu ne s'ouvre pas.  (Lu 9418 fois)

0 Membres et 1 Invité sur ce sujet

Hors ligne Les link

  • Hylien
  • *
  • Messages: 1 264
  • Mouahahahahaha !!!!
[Résolu] [1.0] Le jeu ne s'ouvre pas.
« le: 18 décembre 2009 à 19:25 »
Alors j'ai un problème avec la démo de ZS DX : quand je double-clique pour lancer la démo, l'icône du jeu apparait dans la barre d'applications en bas de l'écran, et disparait en même pas une seconde ( donc je n'arrive pas à lancer la démo ).
Comme ordi j'ai un Mac OS X version 10.4.11 PowerPC G5.
Il est assez puissant et le téléchargement s'est passé sans problème.
Merci d'apporter une solution à ce problème.
« Modifié: 18 décembre 2009 à 21:15 par Les link »

Hors ligne Christopho

  • Administrateur
  • Héros
  • *
  • Messages: 6 224
  • Mymy, je t'aime :)
    • Solarus-Games
Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #1 le: 18 décembre 2009 à 19:29 »
Merci d'apporter un problème à cette solution.
On va tout faire pour :D

Plus sérieusement, ça ressemble beaucoup au problème de Helmasaur : http://forums.zelda-solarus.com/index.php/topic,20703.msg391880.html#msg391880
Le jeu serait-il incompatible avec les versions de Mac OS X < 10.5.6 ?
« Modifié: 18 décembre 2009 à 19:54 par Christopho »
Chaîne Twitch : diffusion en direct de sessions de développement de Solarus, de création de jeux, de parties de jeux vidéo.
Chaîne YouTube : replays des diffusions en direct, tutos Solarus
Compte Twitter : pour être au courant des nouveautés
Chat Discord : pour discuter en direct avec la communauté Solarus

Hors ligne Helmasaur

  • Gerudo
  • *
  • Messages: 2 812
    • Mon Ermitage
Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #2 le: 18 décembre 2009 à 19:54 »
Ah, ça fait plaisir de ne pas être le seul à avoir ce problème. Pour moi ça vient de la compilation qui n'admet pas les librairies de Tiger.

Hors ligne BenObiWan

  • Ancien
  • Sheikah
  • *
  • Messages: 3 382
Re : Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #3 le: 18 décembre 2009 à 20:38 »
Le jeu serait-il incompatible avec les versions de Mac OS X < 10.5.6 ?
La version compilé par Deather sans doute. C'est le problème d'un programme qui utilise des librairies partagées, il faut le compiler avec les bonnes versions ou tu risques d'avoir des problèmes.
Citer
Ash Nazg Durbatulùk, Ash Nazg Gimbatul,
Ash Nazg Thrakatulùk agh bruzum-ishi krimpatul.
The fellowship of the Ring - J.R.R. Tolkien

Hors ligne Helmasaur

  • Gerudo
  • *
  • Messages: 2 812
    • Mon Ermitage
Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #4 le: 18 décembre 2009 à 20:52 »
C'est pas que je veux pas le compiler mais je suis pas sur mon ordinateur ces derniers temps :s.

Noxneo
  • Invité
Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #5 le: 19 décembre 2009 à 07:37 »
Le jeu serait-il incompatible avec les versions de Mac OS X < 10.5.6 ?
La version compilé par Deather sans doute. C'est le problème d'un programme qui utilise des librairies partagées, il faut le compiler avec les bonnes versions ou tu risques d'avoir des problèmes.

Ca serait plutôt moche, mais y'a pas moyen de le compiler en statique pour des raisons de "legacy"?

Hors ligne Deather

  • Kokiri
  • *
  • Messages: 80
  • Éternel nostalgeek.
Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #6 le: 19 décembre 2009 à 20:47 »
Salut à vous deux,

Pour l'instant je n'ai pas de bonnes nouvelles pour vous : effectivement, le jeu ne fonctionne pas sous Tiger. J'ai des pistes cependant, je vais y travailler.

Enfin, pour les possesseurs de vrais Mac, c'est-à-dire ceux équipés de PowerPC, je n'ai malheureusement pas fait un Universal Binary, pour la simple et bonne raison que c'est la première fois que je package quelquechose pour Mac OS X et que je ne sais pas faire :P

Je vais aller réveiller mon vieux G4 sous Tiger et essayer de faire une build, mais ça risque de prendre un peu de temps, d'autant que je pars en vacances mercredi prochain.

Toutes mes excuses pour ces problèmes !

Hors ligne Deather

  • Kokiri
  • *
  • Messages: 80
  • Éternel nostalgeek.
Re : Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #7 le: 19 décembre 2009 à 20:49 »
Le jeu serait-il incompatible avec les versions de Mac OS X < 10.5.6 ?
La version compilé par Deather sans doute. C'est le problème d'un programme qui utilise des librairies partagées, il faut le compiler avec les bonnes versions ou tu risques d'avoir des problèmes.

Ca serait plutôt moche, mais y'a pas moyen de le compiler en statique pour des raisons de "legacy"?

La façon dont j'ai linké le binaire fait qu'apparament il requiert les framework (Carbon, Cocoa, CoreAudio, etc.) de version égale ou supérieure à celle de Leopard (10.5.6). Les bibliothèques partagées dont dépend ZSDX (OpenAL, libsndfile, physfs, etc.) sont embarquées dans le package, ce ne sont donc à priori pas elles qui posent soucis, comme le confirme effectivement le message que m'a donné Helmasaur.

Hors ligne Les link

  • Hylien
  • *
  • Messages: 1 264
  • Mouahahahahaha !!!!
Re : Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #8 le: 19 décembre 2009 à 22:31 »
Je vais aller réveiller mon vieux G4 sous Tiger et essayer de faire une build, mais ça risque de prendre un peu de temps, d'autant que je pars en vacances mercredi prochain.
Ce n'est pas grave si tu mets du temps à résoudre ce problème.
Et merci encore de t'impliquer autant.

Hors ligne Christopho

  • Administrateur
  • Héros
  • *
  • Messages: 6 224
  • Mymy, je t'aime :)
    • Solarus-Games
Re : [1.0] Le jeu ne s'ouvre pas.
« Réponse #9 le: 07 mai 2013 à 21:04 »
Et pour le dernier, la bonne nouvelle est que ça a été corrigé aujourd'hui même ^^
Merci encore à Vlag et Lelinuxien.
Chaîne Twitch : diffusion en direct de sessions de développement de Solarus, de création de jeux, de parties de jeux vidéo.
Chaîne YouTube : replays des diffusions en direct, tutos Solarus
Compte Twitter : pour être au courant des nouveautés
Chat Discord : pour discuter en direct avec la communauté Solarus